Skip site navigation (1) Skip section navigation (2)

Re: psqlODBC driver does not work

From: Tom Lane <tgl(at)sss(dot)pgh(dot)pa(dot)us>
To: Bob Woodside <dumbledore(at)woodsway(dot)com>
Cc: pgsql-odbc(at)postgresql(dot)org,"Yury Koles" <fresh_impression(at)hotmail(dot)com>
Subject: Re: psqlODBC driver does not work
Date: 2004-05-15 18:17:00
Message-ID: 8005.1084645020@sss.pgh.pa.us (view raw or flat)
Thread:
Lists: pgsql-odbc
Bob Woodside <dumbledore(at)woodsway(dot)com> writes:
> "Yury Koles" <fresh_impression(at)hotmail(dot)com> wrote:
>> I've built ODBC driver from unixODBC distribution:
>> 'libodbcpsql.so' and connected using that one with
>> isql.

> 	In a word, don't. I'm not up on the history of that driver, but
> I have the impression that it's fairly obsolete. I've never gotten it to
> work properly. Someone else on the list may be able to shed some light
> on its history.

I don't know anything about its history, but recently I changed the
specfile for Red Hat's unixODBC RPM to have this package description:

: Install unixODBC if you want to access databases through ODBC.  This
: package includes low-level drivers for MySQL, PostgreSQL, and local files.
: However, the included drivers are not as up-to-date as the ones distributed
: separately.  It is recommended that you install and use the MyODBC package
: if you need a driver for MySQL, and/or the postgresql-odbc package for
: PostgreSQL.

libodbcpsql.so is the obsolete driver included in unixODBC.  psqlodbc.so
is the one from the postgresql-odbc package.

(If anyone on the list has a comment about that description, let me
know.)

			regards, tom lane

In response to

pgsql-odbc by date

Next:From: Yury KolesDate: 2004-05-16 07:00:48
Subject: Re: psqlODBC driver does not work
Previous:From: Bob WoodsideDate: 2004-05-14 20:31:55
Subject: Re: psqlODBC driver does not work

Privacy Policy | About PostgreSQL
Copyright © 1996-2014 The PostgreSQL Global Development Group